﻿body {
    
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 5px;
    padding-right: 5px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* RFord 08-2023: Added accordion for CCU Academy */
.accordion {
    background-color: #eee;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 15px;
    transition: 0.4s;
}

    .active, .accordion:hover {
        background-color: #ccc;
    }

    .accordion:after {
        content: '\002B';
        color: #777;
        font-weight: bold;
        float: right;
        margin-left: 5px;
    }

.active:after {
    content: "\2212";
}

.panel {
    padding: 0 18px;
    background-color: white;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}

/* CCU Academy Dual Credit Register */
.caret-right {
    width: .5em;
    height: .5em;
    display: block;
    margin: 0 0 0 0.5em;
    border: 2px solid #767676;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    border-width: 2px 2px 0 0;
    padding: 0 !important;
}

.caret-left {
    width: .5em;
    height: .5em;
    display: block;
    margin: 0 0 0 0.75em;
    border: 2px solid #767676;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
    -moz-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
    border-width: 2px 2px 0 0;
    padding: 0 !important;
}



#regimage {
    cursor: pointer;
    width: 3em;
    height: 3em;
    margin-right: 0.3em;
}

#selectedcourses {
    float: right;
    padding: 0.5em;
    border: 1px outset #d5d5d5;
    box-shadow: 0 4px 8px #019cde;
}

    #selectedcourses:hover {
        border: 2px outset #0c2641;
        cursor: pointer;
    }

.cart-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    display: none;
    z-index: 999;
}

/* Popup panel */
.cart-popup {
    position: fixed;
    right: -600px;
    top: 0;
    width: 600px;
    height: 100%;
    background: #fff;
    box-shadow: -2px 0 10px #019cde;
    transition: right 0.3s ease;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    overflow-x: auto;
}

    .cart-popup.open {
        right: 0;
    }

.cart-body {
    flex: 1;
    overflow-y: auto;
    padding: 1em;
}

.cart-header {
    background-color: #143f6a;
    color: white;
    padding: 1em;
    text-align: center;
    font-size: 1.2em;
    font-weight: bold;
    border-bottom: inset 2px #143f6a;
}

.cart-Content {
    flex: 1;
    max-height: 45%;
    width: 100%;
}

.caret-right {
    width: .8em;
    height: .8em;
    display: block;
    margin: 0 0 0 .5em;
    border: 2px solid #767676;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    border-width: 2px 2px 0 0;
    padding: 0 !important;
}

.caret-left {
    width: .8em;
    height: .8em;
    display: block;
    margin: 0 0 0 .75em;
    border: 2px solid #767676;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
    -moz-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
    border-width: 2px 2px 0 0;
    padding: 0 !important;
}

#prev-term {
    margin-left: 0.5em;
    filter: none;
    width: 3em;
    height: 3em;
    text-indent: -1000em;
    padding: 0;
    background-size: 2em;
    margin-right: 0.5em;
    border-radius: 4px;
    vertical-align: middle;
}

#next-term {
    filter: none;
    width: 3em;
    height: 3em;
    text-indent: -1000em;
    padding: 0;
    background-size: 2em;
    margin-right: 0.7em;
    border-radius: 4px;
    vertical-align: middle;
}

    #prev-term.esg-button--small:hover,
    #next-term.esg-button--small:hover {
        border-color: #0fa9eb;
        box-shadow: inset 0 -0.25rem 0 0 #0fa9eb;
        cursor: pointer;
    }

    #prev-term.esg-button--small:focus,
    #next-term.esg-button--small:focus {
        border-color: #019cde;
    }

#activeterm-text {
    font-size: 1.2em;
    font-weight: bold;
    color: #143f6a;
    
}

/* The Close Button */
.close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
    clear: both;
}

    .close:hover,
    .close:focus {
        color: #f7d54e;
        text-decoration: none;
        cursor: pointer;
    }

#registration-data {
    padding: 0.5em;
    background-color: #f4f4f4;
    border-top: 1px solid #d5d5d5;
    border-bottom: 1px solid #d5d5d5;
    border-right: 1px solid #d5d5d5;
    border-left: 1px solid #d5d5d5;
    clear: both;
}

    #registration-data hr:nth-of-type(1) {
        margin: 1.1% 0 -1px;
    }

    #registration-data .section-header, #registration-data .section-wrapper {
        border: none;
    }

    #registration-data .section-header {
        background-color: #ffffff;
    }

    #registration-data .section-wrapper {
        background-color: #f4f4f4;
    }

.courseRemove {
    border-radius: 15%;
    cursor: pointer;
    height: 2em;
    width: 6em;
    box-shadow: 0 4px 8px #019cde;
    margin-bottom: 1em;
}

.courseSelect {
    border-radius: 15%;
    cursor: pointer;
    height: 2em;
    width: 6em;
    margin-bottom: 1em;
}

.failed-selected-message {
    margin-top: 10px;
    padding-left: 5px;
    color: maroon;
    
}

.table-container {
    display: grid;
    grid-template-columns: 30% 70%;
    gap: 3px;
    width: 100%;
    max-width: 800px;
    margin: auto;
}

.table-container-single {
    display: grid;
    grid-template-columns: 95%;
    gap: 3px;
    width: 100%;
    max-width: 800px;
    margin: auto;
}

.column {
    text-align: left;
    
}

.column-label {
    font-weight: normal;
}

.row {
    display: contents; /* Let the grid handle layout */
}

.total-cost {
    border-top: 2px outset #f7d54e;
    border-bottom: 2px outset #f7d54e;
    margin-left: 2px;
}


.tel-link {
    pointer-events: none;
    cursor: default;
    text-decoration: none;
    color: inherit;
}

.cartAck {
    margin-left: 10px;
    margin-bottom: 10px;
}


.ccuControl :hover {
    cursor: pointer;
}

.hideMeButtons {
    border: 1px outset #d5d5d5;
    box-shadow: 0 2px 4px #019cde;
    height: 2em;
    width: 10em;
}

    .hideMeButtons:hover {
        border: 2px outset #019cde;
        cursor: pointer;
    }

/* Styling for a disabled button */
button:disabled,
input[type="submit"]:disabled {
    background-color: #cccccc; /* Gray background */
    color: #666666; /* Darker gray text */
    cursor: not-allowed; /* Change cursor to indicate non-interactivity */
    opacity: 0.7; /* Reduce opacity for a faded look */
}

/* Styling for mobile */
@media all and (max-width: 700px) {
    .cart-popup {
        position: fixed;
        top: 0;
        width: 100%;
        height: 100%;
        background: #fff;
        box-shadow: -2px 0 5px #019cde;
        transition: right 0.3s ease;
        z-index: 1000;
        display: flex;
        flex-direction: column;
    }

    #registration-data {
        padding-left: 2px;
        padding-right: 0px;
    }

    .table-container {
        grid-template-columns: 1fr;
    }

    .row {
        display: grid;
        grid-template-columns: 1fr;
    }

    .column::before {
        content: attr(data);
        font-weight: bold; /* This line makes the label bold */
        display: block;
        color: #333;
    }

    .column-label {
        font-weight: bold; /* Hide the original label */
    }

    .tel-link {
        pointer-events: auto;
        cursor: pointer;
    }
        
    .birthdaywording {
        display: block;
    }

    .l-section-header--banner {
        order: 1;
        box-sizing: border-box;
        min-height: 65px;
        padding-left: 25px;
        padding-top: 20px;
    }

    .tab-content {
        background: #e9e9e9;
        border-left: 0px solid #fddd3e;
    }

    .tab-content > ul > li {
        padding-left: 0;
        padding-right: 0;
    }

    .uk-tab > li:nth-child(n+2) > a {
        margin-left: 0;
    }

    .uk-sticky-placeholder {
        display: none;
    }

    .uk-container {
        padding-left: 1em;
        padding-right: 1em;
    }

    .uk-table td {
        padding-left: 5px;
        padding-right: 5px;
        font-size: 16px;
    }
}

/* Over Write other CSS */
.uk-accordion-content > div {
    border-left: 4px solid #f7d54e;
}

.l-section-title h1 {
    padding-right: 0px;
    text-align: center;
}
